Package org.linphone.core

# Enum Class Conference.State

java.lang.Object
java.lang.Enum<Conference.State>
org.linphone.core.Conference.State

All Implemented Interfaces:
  `Serializable`, `Comparable<Conference.State>`, `Constable`

Enclosing interface:
  `Conference`

public static enum Conference.State extends Enum<Conference.State>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Created`
Conference was created on the service.
`CreationFailed`
Conference creation on service failed.
`CreationPending`
One creation request was sent to the service.
`Deleted`
Conference was deleted locally and on the service.
`Instantiated`
Conference is now instantiated locally.
`None`
Initial state.
`Terminated`
The conference is terminated locally, though it may still exist on the service
for other participants.
`TerminationFailed`
Conference termination failed.
`TerminationPending`
Wait for conference termination.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Conference.State`
`fromInt(int value)`
`int`
`toInt()`
`static Conference.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Conference.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final Conference.State None
Initial state.

### Instantiated

public static final Conference.State Instantiated
Conference is now instantiated locally.

### CreationPending

public static final Conference.State CreationPending
One creation request was sent to the service.

### Created

public static final Conference.State Created
Conference was created on the service.

### CreationFailed

public static final Conference.State CreationFailed
Conference creation on service failed.

### TerminationPending

public static final Conference.State TerminationPending
Wait for conference termination.

### Terminated

public static final Conference.State Terminated
The conference is terminated locally, though it may still exist on the service
for other participants.

### TerminationFailed

public static final Conference.State TerminationFailed
Conference termination failed.

### Deleted

public static final Conference.State Deleted
Conference was deleted locally and on the service.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Conference.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Conference.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Conference.State fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()